// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
var app = angular.module('YourApp', ['ionic','ngSanitize', 'ngCordova','ngIOS9UIWebViewPatch','mobsocial.products','ngCordovaOauth']);
var base_url = "https://maintdrop.com/";
//var base_url = "http://192.168.0.2/maintdrop/site/";

app.controller('LoginController', function($scope, $ionicModal) {
  $ionicModal.fromTemplateUrl('templates/logins.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function(modal) {
    $scope.modal = modal;
  });
  $scope.openModal = function() {
    $scope.modal.show();
  };
  $scope.closeModal = function() {
    $scope.modal.hide();
  };
  //Cleanup the modal when we're done with it!
  $scope.$on('$destroy', function() {
    $scope.modal.remove();
  });
  // Execute action on hide modal
  $scope.$on('modal.hidden', function() {
    // Execute action
  });
  // Execute action on remove modal
  $scope.$on('modal.removed', function() {
    // Execute action
  });
});

// not necessary for a web based app // needed for cordova/ phonegap application
app.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
	$cordovaSplashscreen.hide();
	//  alert('on ready working');
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      // Set the statusbar to use the default style, tweak this to
      // remove the status bar on iOS or change it to use white instead of dark colors.
      StatusBar.styleDefault();
    }
  });
});
//app run getting device id
app.run(function ($rootScope,$ionicPopup, myPushNotification) {
	// app device ready
	document.addEventListener("deviceready", function(){
		if(!localStorage.device_token_syt || localStorage.device_token_syt == '-1'){ 
			myPushNotification.registerPush();
		}
	});
	// OFFLINE
	document.addEventListener("offline", onOffline, false);
	function onOffline() {
		
		 var confirmPopup = $ionicPopup.confirm({
			 title: 'Network Info',
			 template: 'No internet connection ??'
		  });

		  confirmPopup.then(function(res) {
			 if(res) {
				navigator.app.exitApp();
			 } else {
				console.log('Not sure!');
			 }
		  });
       
	}	
	
   $rootScope.get_device_token = function () {
      if(localStorage.device_token_syt) {
         return localStorage.device_token_syt;
      } else {
         return '-1';
      }
	  
   }
   $rootScope.set_device_token = function (token) {
      localStorage.device_token_syt = token;
      return localStorage.device_token_syt;
   }
});
//myservice device registration id to localstorage
app.service('myService', ['$http', function($http) {
   this.registerID = function(regID, platform) {
   		//alert(regID);
		localStorage.device_token_syt = regID;
   }
}]);

// config to disable default ionic navbar back button text and setting a new icon
// logo in back button can be replaced from /templates/sidebar-menu.html file
app.config(function($ionicConfigProvider) {
    $ionicConfigProvider.backButton.text('').icon('ion-ios-arrow-back').previousTitleText(false);
})
// intro controller // 
app.controller('IntroCtrl', ['$scope', '$state', '$ionicSlideBoxDelegate', function($scope, $state, $ionicSlideBoxDelegate) {
  // Called to navigate to the main app
  $scope.next = function() {
    $ionicSlideBoxDelegate.next();
  };
  $scope.previous = function() {
    $ionicSlideBoxDelegate.previous();
  };

  // Called each time the slide changes
  $scope.slideChanged = function(index) {
    $scope.slideIndex = index;
  };
  // discard and move to homepage
  $scope.discardIntroPage = function(){
		$state.go('app.login');
  }
}])
/* main controller function */
app.controller('MainCtrl', ['$scope','$state', '$ionicSideMenuDelegate','$rootScope', '$ionicHistory','$ionicLoading','$timeout','$window', function($scope, $state, $rootScope, $ionicSideMenuDelegate, $ionicHistory, $ionicLoading, $timeout, $window) {
  	// Toggle left function for app sidebar
	//window.localStorage.removeItem("maintdropCartItems");
	//alert('==='+window.localStorage.getItem("maintdropCartItems")+'===');
	if(window.localStorage.getItem("maintdropCartItems")==null)
	{
		var items = [];
	}
	else
	{
		var items = JSON.parse(window.localStorage.getItem("maintdropCartItems"));
	}
	var itemCount = (items.length);
	$scope.itemCount = itemCount ;
	$rootScope.finalCartCount = itemCount;
	
	
  	$scope.toggleLeft = function() {
    	$ionicSideMenuDelegate.toggleLeft();
  	};
  	// go back to previous page
  	$scope.goBackOne = function(){
		$ionicHistory.goBack();
	}
	// sharing plugin
	$scope.shareMain = function(){
		var title = "";
		var url = "";
		window.plugins.socialsharing.share(title, null, null, url)
	}
	$scope.shareArticle = function(title,url){
		window.plugins.socialsharing.share(title, null, null, url)
	}
	$scope.openLinkArticle = function(url){
		window.open(url, '_system');
	}
	$scope.changeCity =function(city){
		window.localStorage.setItem("city",city);
		$window.location.reload(); 
		// console.log($scope.selectedName);
	}
	$scope.logOut = function(){
		 $ionicLoading.show({
				template: 'Logging out....'
			});
			window.localStorage.removeItem("maint_userid");
			window.localStorage.removeItem("maint_username");
			window.localStorage.removeItem("maintdropCartItems");
			window.localStorage.removeItem("social_image");
			window.localStorage.removeItem("city");
			

			$timeout(function () {
				$ionicLoading.hide();
				$ionicHistory.clearCache();
				$ionicHistory.clearHistory();
				$ionicHistory.nextViewOptions({
					disableBack: true,
					historyRoot: true
				});
				$state.go('login');
			}, 200);

		/*window.localStorage.removeItem("maint_userid");
	    window.localStorage.removeItem("maint_username");
		window.localStorage.removeItem("maintdropCartItems");
		$ionicHistory.clearCache().then(function() {
			//now you can clear history or goto another state if you need
			$ionicHistory.clearHistory();
			$ionicHistory.nextViewOptions({ disableBack: true, historyRoot: true });
			$state.go('login');
		})*/
		//window.reload();
		//alert("working");
	}
}])
// login page of app //
app.controller('LoginCtrl', ['$ionicPlatform','$state','$scope','$http','$ionicPopup','$cordovaDevice', '$cordovaOauth', '$location','$timeout', function($ionicPlatform, $state, $scope, $http,  $ionicPopup, $cordovaDevice, $cordovaOauth, $location, $timeout) {
	if(window.localStorage.getItem("maint_userid")!=null)
	{
		$state.go('app.home');
	}
	 $scope.userarr = [];
	 
	// add your login logic here
	$scope.doLogin = function(loginphoneno,loginpassword){
		var accpt = $scope.userarr.acceptterm;
		if(typeof(loginphoneno)=='undefined'||loginphoneno.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter your mobile number or email id.'
							  });
			return false;
		}
		else if(typeof(loginpassword)=='undefined'||loginpassword.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter password.'
							  });
			return false;
		}
		else if(typeof(accpt)=='undefined'||accpt==false)
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please agree with terms of use .'
							  });
			return false;
		}
		else
		{
			$http.get(base_url+"index.php/apps/loginCheck/"+encodeURIComponent(loginphoneno)+"/"+encodeURIComponent(loginpassword))
			.then(function(response){ 
				var data = response.data;
				if(data.login_result=='SUCCESSFUL')
				{
					window.localStorage.setItem("maint_userid",data.login_details.user_id);
					window.localStorage.setItem("maint_username",data.login_details.user_full_name);
					$state.go('app.home');
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: 'Wrong username or password . Try with correct user credentials .'
									  });
					//alert('');
				}
				//$scope.aboutushtml = data.login_result;
				
			 });
		}
		//window.localStorage.setItem("maint_username",loginphoneno);
		//alert(window.localStorage.getItem("maint_username"));
		
	}
	// FACEBOOK LOGIN
	/*
	$scope.login = function() {
        $cordovaOauth.facebook("952682368163040", ["email", "read_stream", "user_website", "user_location", "user_relationships"]).then(function(result) {
            $localStorage.accessToken = result.access_token;
            $location.path("/profile");
        }, function(error) {
            alert("There was a problem signing in!  See the console for logs");
            console.log(error);
        });
    };
	*/
	$scope.facebookLogin = function() {

		var accpt = $scope.userarr.acceptterm;
		if(typeof(accpt)=='undefined'||accpt==false)
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please agree with terms of use .'
							  });
			return false;
		}
 
       $cordovaOauth.facebook("1028218680592735", ["email","public_profile"]).then(function(result) {
           // 
          
            var f_access_token=result.access_token;
			//alert(JSON.stringify(result));
        get_facebook_user_info(f_access_token);
       }, function(error) {
           // error
       });
      
   }
 function get_facebook_user_info(facebook_access_token){

    //var facebook_access_token=window.localStorage.getItem('facebook_access_token') ;
       $http.get("https://graph.facebook.com/v2.2/me", {params: {access_token: facebook_access_token, fields: "name,gender,locale,picture,email", format: "json" }}).then(function(fresult) {
      // alert(JSON.stringify(fresult));
	   var resultset = fresult.data;
	   var reg_name = resultset.name;
	   var reg_email = resultset.email;
	   var socia_picture = resultset.picture.data.url;
	   $http.get(base_url+"index.php/apps/userSocialRegistration/%20/"+encodeURIComponent(reg_name)+"/"+encodeURIComponent(reg_email)+"/%20/")
			.then(function(response)
			{ 
				var data = response.data;
				if(data.reg_result=='SUCCESSFUL')
				{
					window.localStorage.setItem("maint_userid",data.reg_details.user_id);
					window.localStorage.setItem("maint_username",data.reg_details.reg_fullname);
					window.localStorage.setItem("social_image",socia_picture);
										
					$state.go('app.home');
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Something goes wrong . Please try again .'
									  });
					
				}
			});
	   //alert(reg_name+"=="+reg_email);
       //window.localStorage.setItem('facebook_user_info',JSON.stringify(JSON.stringify(fresult)));
     
      
   }, function(error) {
       alert("Error: " + error);
   });
 }
 
 // GOOGLE PLUS
 $scope.googleLogin = function() {
		var accpt = $scope.userarr.acceptterm;
		if(typeof(accpt)=='undefined'||accpt==false)
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please agree with terms of use .'
							  });
			return false;
		}
	 
       $cordovaOauth.google("177334660590-88dptu0lmlbmpuld4dfip3lgtbtobolc.apps.googleusercontent.com", ["email"]).then(function(result) {
         //alert(result.access_token);
         var access_token=result.access_token;
         get_google_user_info(access_token);
       }, function(error) {
           console.log(error);
       });
       

   }
   function get_google_user_info(google_access_token){
     //alert(google_access_token);
    //var facebook_access_token=window.localStorage.getItem('facebook_access_token') ;
       $http.get("https://www.googleapis.com/oauth2/v3/userinfo", {params: {access_token: google_access_token}}).then(function(gresult) {
      //alert(JSON.stringify(gresult));
	  var resultset = gresult.data;
	   var reg_name = resultset.name;
	   if(reg_name=='')
	   {
		   reg_name = " ";
	   }
	   var reg_email = resultset.email;
	   var socia_picture = resultset.picture;
	   //alert(base_url+"index.php/apps/userSocialRegistration/%20/"+encodeURIComponent(reg_name)+"/"+encodeURIComponent(reg_email)+"/%20/");
	   //alert(base_url+"index.php/apps/userSocialRegistration//"+encodeURIComponent(reg_name)+"/"+encodeURIComponent(reg_email)+"//");
	   $http.get(base_url+"index.php/apps/userSocialRegistration/%20/"+encodeURIComponent(reg_name)+"/"+encodeURIComponent(reg_email)+"/%20/")
			.then(function(response)
			{ 
				var data = response.data;
				//alert(data.reg_result=='SUCCESSFUL');
				if(data.reg_result=='SUCCESSFUL')
				{
					//alert(data.reg_details.user_id+"=="+data.reg_details.reg_fullname+"=="+socia_picture);
					window.localStorage.setItem("maint_userid",data.reg_details.user_id);
					window.localStorage.setItem("maint_username",data.reg_details.reg_fullname);
					window.localStorage.setItem("social_image",socia_picture);
					$state.go('app.home');
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Something goes wrong . Please try again .'
									  });
					
				}
			}, function(error) {
			   alert("Error: " + error);
		   });
      
   }, function(error) {
       alert("Error: " + error);
   });
  }
	
}])



// OTP GENERATION //
app.controller('OtpCtrl', ['$state','$scope', '$http', '$ionicPopup','$cordovaOauth', '$location', function($state, $scope, $http,  $ionicPopup, $cordovaOauth, $location) {	
	
		if(window.localStorage.getItem("maint_userid")!=null)
		{
			$state.go('app.home');
		}
		// sign up logic here
		$scope.doRegister = function(otp){
		//alert(reg_mobileno);
		 
		var reg_mobileno = window.localStorage.getItem("temp_reg_mobileno");
		var reg_fullname = window.localStorage.getItem("temp_reg_fullname");
		var reg_email    = window.localStorage.getItem("temp_reg_email");
		var reg_password = window.localStorage.getItem("temp_reg_password");
		var temp_reg_otp = window.localStorage.getItem("temp_reg_otp");
		var temp_reg_reference_code = window.localStorage.getItem("temp_reg_reference_code");
		
		 
		if(typeof(otp)=='undefined'||otp.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter your otp.'
							  });
			return false;
		}
		else if(temp_reg_otp!=otp)
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter valid OTP .'
							  });
			return false;
		}
		else
		{
			$http.get(base_url+"index.php/apps/userRegistration/"+encodeURIComponent(reg_mobileno)+"/"+encodeURIComponent(reg_fullname)+"/"+encodeURIComponent(reg_email)+"/"+encodeURIComponent(reg_password)+"/"+encodeURIComponent(temp_reg_otp)+"/"+encodeURIComponent(temp_reg_reference_code))
			.then(function(response)
			{ 
				var data = response.data;
				if(data.reg_result=='SUCCESSFUL')
				{
					window.localStorage.removeItem("temp_reg_mobileno");
					window.localStorage.removeItem("temp_reg_fullname");
					window.localStorage.removeItem("temp_reg_email");
					window.localStorage.removeItem("temp_reg_password");
					window.localStorage.removeItem("temp_reg_otp");
					window.localStorage.removeItem("temp_reg_reference_code");
					
					window.localStorage.setItem("maint_userid",data.reg_details.user_id);
					window.localStorage.setItem("maint_username",data.reg_details.reg_fullname);
					$state.go('app.home');
				}
				else if(data.reg_result=='EXIST')
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Account already exist . Please try again different email and mobile no .'
									  });
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Something goes wrong . Please try again .'
									  });
					
				}
			});
		}
	}
	
}])
// Sign up page of app //
app.controller('SignUpCtrl', ['$state','$scope', '$http', '$ionicPopup','$cordovaOauth', '$location','$timeout', function($state, $scope, $http,  $ionicPopup, $cordovaOauth, $location,$timeout) {
	 $scope.userarr = [];
	
	// DO TEMP REGISTER
	$scope.doTempRegister = function(reg_mobileno,reg_fullname,reg_email,reg_password,reg_reference_code){
	 
		 var reg = /^[a-z]+[a-z0-9._]+@[a-z]+\.[a-z.]{2,5}$/;
		 var accpt = $scope.userarr.acceptterm;
		 if(typeof(reg_reference_code)=='undefined'||reg_reference_code.trim()=='')
		 {
			 var reference_code = '';
		 }
		 else
		 {
			 var reference_code = reg_reference_code;
		 }
		if(typeof(reg_mobileno)=='undefined'||reg_mobileno.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter mobile number.'
							  });
			return false;
		}
		else if(reg_mobileno.length!=10 || isNaN(reg_mobileno))
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter valid mobile number.'
							  });
			return false;
		}
		else if(typeof(reg_fullname)=='undefined'||reg_fullname.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter full name.'
							  });
			return false;
		}
		else if(typeof(reg_email)=='undefined'||reg_email.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter valid email.'
							  });
			return false;
		}
		
		else if(typeof(reg_password)=='undefined'||reg_password.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter password.'
							  });
			return false;
		}
		else if(typeof(accpt)=='undefined'||accpt==false)
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please agree with terms of use .'
							  });
			return false;
		}
		else
		{
			$http.get(base_url+"index.php/apps/userRegistrationOTP/"+encodeURIComponent(reg_mobileno)+"/"+encodeURIComponent(reg_fullname)+"/"+encodeURIComponent(reg_email)+"/"+encodeURIComponent(reg_password)+"/"+encodeURIComponent(reference_code))
			.then(function(response)
			{ 
				var data = response.data;
				if(data.resultcode=='INVALIDCODE')
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Invalid Reference code . Please try again with proper code or left it blank .'
									  });
				}
				else if(data.result=='SUCCESS')
				{
					window.localStorage.setItem("temp_reg_mobileno",reg_mobileno);
					window.localStorage.setItem("temp_reg_fullname",reg_fullname);
					window.localStorage.setItem("temp_reg_email",reg_email);
					window.localStorage.setItem("temp_reg_password",reg_password);
					window.localStorage.setItem("temp_reg_otp",data.otp);
					window.localStorage.setItem("temp_reg_reference_code",reference_code);
					//window.localStorage.setItem("maint_userid",data.reg_details.user_id);
					//window.localStorage.setItem("maint_username",data.reg_details.reg_fullname);
					$state.go('otp');
				}
				else if(data.result=='EXIST')
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Account already exist . Please try again different email and mobile no .'
									  });
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Something goes wrong . Please try again .'
									  });
					
				}
			});
		}
	 
	 
	 
	}

	// FACEBOOK LOGIN
	$scope.facebookLogin = function() {

		var accpt = $scope.userarr.acceptterm;
		if(typeof(accpt)=='undefined'||accpt==false)
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please agree with terms of use .'
							  });
			return false;
		}
 
       $cordovaOauth.facebook("1028218680592735", ["email","public_profile"]).then(function(result) {
           // 
          
            var f_access_token=result.access_token;
			//alert(JSON.stringify(result));
        get_facebook_user_info(f_access_token);
       }, function(error) {
           // error
       });
      
   }
 function get_facebook_user_info(facebook_access_token){

    //var facebook_access_token=window.localStorage.getItem('facebook_access_token') ;
       $http.get("https://graph.facebook.com/v2.2/me", {params: {access_token: facebook_access_token, fields: "name,gender,locale,picture,email", format: "json" }}).then(function(fresult) {
       //alert(JSON.stringify(fresult));
	   var resultset = fresult.data;
	   var reg_name = resultset.name;
	   var reg_email = resultset.email;
	   var socia_picture = resultset.picture.data.url;
	   //alert(base_url+"index.php/apps/userSocialRegistration//"+encodeURIComponent(reg_name)+"/"+encodeURIComponent(reg_email)+"//");
	   $http.get(base_url+"index.php/apps/userSocialRegistration/%20/"+encodeURIComponent(reg_name)+"/"+encodeURIComponent(reg_email)+"/%20/")
			.then(function(response)
			{ 
				var data = response.data;
				if(data.reg_result=='SUCCESSFUL')
				{
					window.localStorage.setItem("maint_userid",data.reg_details.user_id);
					window.localStorage.setItem("maint_username",data.reg_details.reg_fullname);
					window.localStorage.setItem("social_image",socia_picture);
					$state.go('app.home');
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Something goes wrong . Please try again .'
									  });
					
				}
			});
	   //alert(reg_name+"=="+reg_email);
       //window.localStorage.setItem('facebook_user_info',JSON.stringify(JSON.stringify(fresult)));
     
      
   }, function(error) {
       alert("Error: " + error);
   });
 }
 
 // GOOGLE PLUS
 $scope.googleLogin = function() {
		var accpt = $scope.userarr.acceptterm;
		if(typeof(accpt)=='undefined'||accpt==false)
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please agree with terms of use .'
							  });
			return false;
		}
	 
       $cordovaOauth.google("177334660590-88dptu0lmlbmpuld4dfip3lgtbtobolc.apps.googleusercontent.com", ["email"]).then(function(result) {
         //alert(result.access_token);
         var access_token=result.access_token;
         get_google_user_info(access_token);
       }, function(error) {
           console.log(error);
       });
       

   }
   function get_google_user_info(google_access_token){
     //alert(google_access_token);
    //var facebook_access_token=window.localStorage.getItem('facebook_access_token') ;
       $http.get("https://www.googleapis.com/oauth2/v3/userinfo", {params: {access_token: google_access_token}}).then(function(gresult) {
      //alert(JSON.stringify(gresult));
	  var resultset = gresult.data;
	   var reg_name = resultset.name;
	   if(reg_name=='')
	   {
		   reg_name = " ";
	   }
	   var reg_email = resultset.email;
	   var socia_picture = resultset.picture;
	   //alert(base_url+"index.php/apps/userSocialRegistration/%20/"+encodeURIComponent(reg_name)+"/"+encodeURIComponent(reg_email)+"/%20/");
	   $http.get(base_url+"index.php/apps/userSocialRegistration/%20/"+encodeURIComponent(reg_name)+"/"+encodeURIComponent(reg_email)+"/%20/")
			.then(function(response)
			{ 
				var data = response.data;
				//alert(data.reg_result);
				if(data.reg_result=='SUCCESSFUL')
				{
					//alert(data.reg_details.user_id+"=="+data.reg_details.reg_fullname);
					window.localStorage.setItem("maint_userid",data.reg_details.user_id);
					window.localStorage.setItem("maint_username",data.reg_details.reg_fullname);
					window.localStorage.setItem("social_image",socia_picture);
					$state.go('app.home');
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Something goes wrong . Please try again .'
									  });
					
				}
			});
      
   }, function(error) {
       alert("Error: " + error);
   });
  }
}])

// Forgot password page of app //
app.controller('ForgotCtrl', ['$state','$scope', '$http', '$ionicPopup','$ionicPopup','$ionicHistory', function($state,$scope, $http, $ionicPopup, $ionicPopup,$ionicHistory) {	
	// forgot password
	$scope.sendAccountPassword = function(usermail){
		 var reg = /^[a-z]+[a-z0-9._]+@[a-z]+\.[a-z.]{2,5}$/;
		 
		if(typeof(usermail)=='undefined'||usermail.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter your valid registered email .'
							  });
			return false;
		}
		
		else
		{
			$http.get(base_url+"index.php/apps/forgotPassword/"+encodeURIComponent(usermail))
			.then(function(response)
			{ 
				var data = response.data;
				if(data.check_result=='SUCCESSFUL')
				{
					$scope.usermail='';
					
					$ionicPopup.alert({
										 title: 'Alert',
										 template: 'Password successfully send to your email. Please check it for login .'
									  });
					
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: 'Please enter your valid registered email .'
									  });
					
				}
			});
		}
	}
}])



app.controller('CartCtrl', ['$scope','$rootScope','$ionicPopup','$ionicHistory', function($scope, $rootScope, $ionicPopup,$ionicHistory) {	
	//alert(window.localStorage.getItem("maintdropCartItems"));
	
	
	var items = JSON.parse(window.localStorage.getItem("maintdropCartItems"));
	if(items==''||items==null||typeof(items)=='undefined')
	{
		$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Cart is empty. Please choose a service .'
									  });
		$ionicHistory.goBack();							  
		return false;
	}
	var itemCount = (items.length);
	var totalAmount = 0;
    for (var i = 0; i < items.length; i++) {
        var item = items[i];
        totalAmount += (item.quantity * item.price);
    }
	
	$scope.maintdropCartItems = items ;
	$scope.itemCount = itemCount ;
	$rootScope.finalCartCount = itemCount;
	$scope.totalAmount = totalAmount ;
	
	if(window.localStorage.getItem("maintdropCartItems")==null)
	{
		var items =[];
	}
	else
	{
		var items = JSON.parse(window.localStorage.getItem("maintdropCartItems"));
	}
	
	 // adds an item to the cart
	$scope.addItem = function (serviceid, name, price, quantity)
	{
		//alert(serviceid+"=="+name+"=="+price+"=="+quantity);
		quantity = this.toNumber(quantity);
		if (quantity != 0) {
			// update quantity for existing item
			var found = false;
			for (var i = 0; i < items.length && !found; i++) {
				var item = items[i];
				if (item.serviceid == serviceid) {
					found = true;
					item.quantity = this.toNumber(item.quantity + quantity);
					if (item.quantity <= 0) {
						items.splice(i, 1);
					}
				}
			}
			
			// new item, add now
			if (!found) {
				var item = {'serviceid':serviceid,'name':name,'price':price,'quantity':quantity};
				items.push(item);
			}

			// save changes
			window.localStorage.setItem("maintdropCartItems",JSON.stringify(items));
			console.log(JSON.stringify(items));
		}
		//alert(JSON.stringify(items));
		var itemCount = (items.length);
		var totalAmount = 0;
		for (var i = 0; i < items.length; i++) {
			var item = items[i];
			totalAmount += (item.quantity * item.price);
		}
		$scope.maintdropCartItems = items ;
		$scope.itemCount = itemCount ;
		$rootScope.finalCartCount = itemCount;
		$scope.totalAmount = totalAmount ;
	}
	$scope.toNumber = function (value) {
		value = value * 1;
		return isNaN(value) ? 0 : value;
	}
}])

app.controller('CheckoutCtrl', ['$scope','$rootScope','$ionicPopup','$ionicHistory',  function($scope, $rootScope, $ionicPopup,$ionicHistory) {	
	
	var items = JSON.parse(window.localStorage.getItem("maintdropCartItems"));
	if(items==''||items==null||typeof(items)=='undefined')
	{
		$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Cart is empty. Please choose a service .'
									  });
		$ionicHistory.goBack();							  
		return false;
	}
	var itemCount = (items.length);
	var totalAmount = 0;
    for (var i = 0; i < items.length; i++) {
        var item = items[i];
        totalAmount += (item.quantity * item.price);
    }
	$scope.maintdropCartItems = items ;
	$scope.itemCount = itemCount ;
	$rootScope.finalCartCount = itemCount;
	$scope.totalAmount = totalAmount ;
	
	if(window.localStorage.getItem("maintdropCartItems")==null)
	{
		var items =[];
	}
	else
	{
		var items = JSON.parse(window.localStorage.getItem("maintdropCartItems"));
	}
	
	$scope.toNumber = function (value) {
		value = value * 1;
		return isNaN(value) ? 0 : value;
	}
	
}])

// Forgot password page of app //
app.controller('GalleryCtrl', ['$scope', 'Photos', '$ionicModal', function($scope, Photos, $ionicModal) {
	
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Photos.getPosts()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.times = $scope.times + 1;
			if($scope.times >= 4) {
				$scope.postsCompleted = true;
			}
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}
	// modal to show image full screen
   $ionicModal.fromTemplateUrl('templates/image-modal.html', {
      scope: $scope,
      animation: 'slide-in-up'
   }).then(function (modal) {
      $scope.modal = modal;
   });
   $scope.openModal = function () {
		$scope.showNav = true;
      $scope.modal.show();
   };

   $scope.closeModal = function () {
      $scope.modal.hide();
   };
	// show image in popup
   $scope.showImage = function (index) {
		$scope.imageIndex = index;
      $scope.imageSrc = $scope.items[index].image_full;
      $scope.openModal();
   }
	// image navigation // swiping and buttons will also work here
	$scope.imageNavigate = function(dir){
		if(dir == 'right'){
			$scope.imageIndex = $scope.imageIndex + 1;
		} else {
			$scope.imageIndex = $scope.imageIndex - 1;
		}
		//alert(dir);
		if($scope.items[$scope.imageIndex] === undefined){
			$scope.closeModal();
		} else {
			$scope.imageSrc = $scope.items[$scope.imageIndex].image_full;
		}
	}
	// cleaning modal
	$scope.$on('$stateChangeStart', function(){
	  $scope.modal.remove();
	});
}])

/*  Videos controller  */
app.controller('VideosCtrl', ['$scope', 'VideoData', '$sce', function($scope, VideoData, $sce) {	
	$scope.items = VideoData.items;
	// to work embed in angularjs pages
	$scope.videoEmbed = function(video){
		return $sce.trustAsResourceUrl(video);
	}
}])

/* Blog controller */
app.controller('BlogCtrl', ['$scope', 'Blog', function($scope, Blog) {	

	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Blog.getPosts()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.times = $scope.times + 1;
			if($scope.times >= 4) {
				$scope.postsCompleted = true;
			}
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])

/*  Profile page template */
app.controller('ProfileCtrl', ['$scope','$http','$ionicPopup', function($scope,$http,$ionicPopup) {
	 var loggeduserid = window.localStorage.getItem("maint_userid");
	 var socialImage = window.localStorage.getItem("social_image");
	 if(socialImage==null||socialImage==''||typeof(socialImage)=='undefined')
	 {
		socialImage  = 'img/darts-102919_1280.png';
	 }
	 $http.get(base_url+"index.php/apps/getProfileDetails/"+loggeduserid)
    .then(function(response){ 
	    console.log(response);
		var data = response.data;
		$scope.profile_image = socialImage;
		$scope.profile_user_full_name = data.profiledetails[0].user_full_name;
		$scope.profile_phone_number = data.profiledetails[0].mobile;
		$scope.profile_email = data.profiledetails[0].email;
		$scope.profile_reward_point = data.profiledetails[0].reward_point;
		
		$scope.profile_address_location = data.addressdetails[0].location;
		
		$scope.profile_address = data.addressdetails[0].street;
		$scope.profile_address_city = data.addressdetails[0].city;
		$scope.profile_address_state = data.addressdetails[0].state;
		
		$scope.profile_address_pincode = data.addressdetails[0].pincode;
	});
	// Other functions
	
	$scope.saveProfileDetails = function(profile_user_full_name,profile_phone_number,profile_address_location,profile_address,profile_address_city,profile_address_state,profile_address_pincode){
		var user_id = window.localStorage.getItem("maint_userid");
		$http.get(base_url+"index.php/apps/updateProfile/"+encodeURIComponent(user_id)+"/"+encodeURIComponent(profile_user_full_name)+"/"+encodeURIComponent(profile_phone_number)+"/"+encodeURIComponent(profile_address_location)+"/"+encodeURIComponent(profile_address)+"/"+encodeURIComponent(profile_address_city)+"/"+encodeURIComponent(profile_address_state)+"/"+encodeURIComponent(profile_address_pincode))
			.then(function(response)
			{ 
				var data = response.data;
				if(data.update_result=='SUCCESS')
				{
					var data = response.data;
					$scope.profile_user_full_name = data.profiledetails[0].user_full_name;
					$scope.profile_phone_number = data.profiledetails[0].mobile;
					$scope.profile_email = data.profiledetails[0].email;
					
					$scope.profile_address_location = data.addressdetails[0].location;
					
					$scope.profile_address = data.addressdetails[0].street;
					$scope.profile_address_city = data.addressdetails[0].city;
					$scope.profile_address_state = data.addressdetails[0].state;
					
					$scope.profile_address_pincode = data.addressdetails[0].pincode;
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Details successfully updated .'
									  });
				}
				else
				{
					$ionicPopup.alert({
										 title: 'Alert',
										 template: ' Something goes wrong . Please try again .'
									  });
					
				}
			});
			
	}	
	
}])

/* Blog controller */
app.controller('NewsCtrl', ['$scope', 'Blog', function($scope, Blog) {	
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Blog.getPosts()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.times = $scope.times + 1;
			if($scope.times >= 4) {
				$scope.postsCompleted = true;
			}
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])

/* Friends controller */
app.controller('FriendsCtrl', ['$scope', 'Friends','$cordovaSocialSharing','$http', function($scope, Friends,$cordovaSocialSharing,$http) {	
		var loggeduserid = window.localStorage.getItem("maint_userid");
		$http.get(base_url+"index.php/apps/getProfileDetails/"+loggeduserid)
			.then(function(response){ 
				console.log(response);
				var data = response.data;
				$scope.profile_reward_code = data.profiledetails[0].reward_code;
				$scope.profile_reward_price = data.pointdetails[0].content_caption;
			});

		$scope.shareOnWhatsapp = function(message, image, link) {
				  $cordovaSocialSharing.shareViaWhatsApp(message,image, link)
				  .then(function(result) {}, function(err) {
							 alert('not success');
							});
			}
			
		 $scope.shareOnFacebook = function(message, image, link) {
				window.plugins.socialsharing.shareVia('com.facebook',message, message, image, link);
			}					 						
		
	/*
	$scope.items = [];
	$scope.times = 0 ;
	$scope.postsCompleted = false;*/
	// load more content function
	/*
	$scope.getPosts = function(){
		Friends.getFriends()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.times = $scope.times + 1;
			if($scope.times >= 4) {
				$scope.postsCompleted = true;
			}
		})
		.error(function (error) {
			$scope.items = [];
		});
	}*/
	// pull to refresh buttons
	/*
	$scope.doRefresh = function(){
		$scope.times = 0 ;
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}*/
}])

/*   Articles controller  */
app.controller('PostCtrl', ['$scope', 'Comments', '$ionicModal', 'PostData', function($scope, Comments, $ionicModal, PostData) {	
	$scope.items = [];
	$scope.postDataMain = PostData;
	// load more content function
	$scope.getPosts = function(){
		Comments.getComments()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	$scope.getPosts();
	// comment modal
	$ionicModal.fromTemplateUrl('comment-modal.html', {
		scope: $scope,
		animation: 'slide-in-up'
	}).then(function(modal) {
		$scope.modal = modal;
	});
	$scope.openModal = function() {
		$scope.modal.show();
	};
	$scope.closeModal = function() {
	 	$scope.modal.hide();
	};
	//Cleanup the modal when we're done with it!
	$scope.$on('$destroy', function() {
	 	$scope.modal.remove();
	});
}])

/*  Settings Controller */
app.controller('SettingsCtrl',['$scope', function($scope) {
}])

/*  Settings Controller */
app.controller('SocialProfileCtrl',['$scope','SocialData', function($scope,SocialData) {
	$scope.socials = SocialData.items;
}])

/* Features Controller */
app.controller('FeaturesCtrl', ['$scope', 'Features', function($scope, Features) {
	$scope.items = Features.items;
}])

/* About us Controller */
app.controller('AboutCtrl', ['$scope','$http', function($scope, $http) {
	$http.get(base_url+"index.php/apps/getAboutUsDetails")
    .then(function(response){ 
	    console.log(response);
		var data = response.data;
        $scope.aboutushtml = data.about_us_content[0].content_details;
		
	 });
	
}])

/* Home Controller */
app.controller('HomeCtrl', ['$state','$scope','$http','$rootScope','$ionicHistory','$timeout','$ionicPopup','$ionicSlideBoxDelegate','$ionicSideMenuDelegate','$ionicLoading', function($state, $scope , $http, $rootScope, $ionicHistory, $timeout, $ionicPopup, $ionicSlideBoxDelegate, $ionicSideMenuDelegate, $ionicLoading) {
	var loginUserid = window.localStorage.getItem("maint_userid");
	var loginUserName = window.localStorage.getItem("maint_username");
	var socialImage = window.localStorage.getItem("social_image");
	var city = window.localStorage.getItem("city");
	
	if(socialImage==null||socialImage==''||typeof(socialImage)=='undefined')
	{
		socialImage  = 'img/darts-102919_1280.png';
	}
    
    if(window.localStorage.getItem("maint_userid")==null||window.localStorage.getItem("maint_userid")=='')
	{
		$timeout(function () {
				$ionicHistory.clearCache();
				$ionicHistory.clearHistory();
				$ionicHistory.nextViewOptions({
					disableBack: true,
					historyRoot: true
				});
				$state.go('login');
			}, 30);
	}	
	$rootScope.sidebar_fullname = loginUserName;
	$rootScope.sidebar_firstname = loginUserName.split(' ')[0];
	$rootScope.sidebar_image = socialImage;
	//$rootScope.selectCity = city;
	
	
	
	if(loginUserid==null)
	{
		$state.go('app.login');
	}
	else
	{
		 $ionicLoading.show({
				template: 'Loading....'
			});
		$http.get(base_url+"index.php/apps/getVendorDetails/"+encodeURIComponent(city))
		.then(function(response){ 
			var data = response.data;
			$scope.vendor = data.vendor;
			$scope.vendorall = data.vendorall;
			$scope.sliderrrr = data.slider;
			$ionicSlideBoxDelegate.update();
			$rootScope.names = data.cityall;
			$scope.maint_city = city;
			$ionicLoading.hide();
			if(city==null||city==''||typeof(city)=='undefined')
			{
				$ionicPopup.alert({
										 title: 'Alert',
										 template: 'City is not selected . Please choose the city .'
									  });
				$rootScope.selectedName = '';					  
			    toggleLeftSideMenu();
			}
			else
			{
				$rootScope.selectedName = $scope.maint_city;
				//ssalert($scope.maint_city);
			}
			
		 });
	}
	
	if(window.localStorage.getItem("maintdropCartItems")==null||window.localStorage.getItem("maintdropCartItems")=='')
	{
		var items =[];
	}
	else
	{
		var items = JSON.parse(window.localStorage.getItem("maintdropCartItems"));
	}
	var itemCount = (items.length);
	$rootScope.finalCartCount = itemCount;
	
	$scope.getService = function(serviceid,city){
		if(city==null||city==''||typeof(city)=='undefined')
		{
			$ionicPopup.alert({
									 title: 'Alert',
									 template: 'City is not selected . Please choose the city first .'
								  });
			toggleLeftSideMenu();
			
		}
		else
		{
			var serviceid = window.localStorage.setItem("serviceid",serviceid);
			$state.go('app.service',{},{reload:true});
		}
		
		//var cityid = window.localStorage.setItem("city",city);
		
	}

	function toggleLeftSideMenu() {
		$ionicSideMenuDelegate.toggleLeft();
	  };
	
}])

/* add_address Controller */
app.controller('Add_addressCtrl', ['$state','$scope', function($state, $scope) {
}])

/* Term Controller */
app.controller('TermCtrl', ['$state','$scope','$http', function($state, $scope, $http) {
	$http.get(base_url+"index.php/apps/getTermsAndConditions")
    .then(function(response){ 
	    console.log(response);
		var data = response.data;
		$scope.termsandconditionhtml = data.terms_and_coditions[0].content_details;
	});
}])


/* OuterTerms Controller*/
app.controller('OuterTerms', ['$state','$scope','$http', function($state, $scope, $http) {
	$http.get(base_url+"index.php/apps/getTermsAndConditions")
    .then(function(response){ 
	    console.log(response);
		var data = response.data;
		$scope.outertermsandconditionhtml = data.terms_and_coditions[0].content_details;
	});
}]) 


/* select_address Controller */
app.controller('Select_addressCtrl', ['$state','$scope','$rootScope','$ionicPopup','$window','$timeout','$http', function($state, $scope,$rootScope,$ionicPopup,$window,$timeout,$http) {
	
	var items = JSON.parse(window.localStorage.getItem("maintdropCartItems"));
	if(items==''||items==null||typeof(items)=='undefined')
	{
		$state.go('app.home');
		$window.location.reload(); 						  
		//return false;
	}
	var loginUserid = window.localStorage.getItem("maint_userid");
    var loginUserName = window.localStorage.getItem("maint_username");		
	if(loginUserid==null)
	{
		$state.go('app.login');
	}
	else
	{
		$http.get(base_url+"index.php/apps/getSelectAddressDetails/"+loginUserid)
		.then(function(response){ 
			var data = response.data;
			
			$scope.appoinmentTimeSlotArr = data.timeslotdetails;
			
			$scope.orderMobile = data.profiledetails[0].mobile;
			$scope.orderLocation = data.addressdetails[0].location;
			
			$scope.orderAddress = data.addressdetails[0].street;
			$scope.orderCity = data.addressdetails[0].city;
			$scope.orderState = data.addressdetails[0].state;
			
			$scope.orderPincode = data.addressdetails[0].pincode;
			$scope.orderPoints = data.profiledetails[0].reward_point;
			
			
			
			
		 });
	}
	
	
	
	$scope.validate_code = function (code)
	{
	
		if(typeof(code)=='undefined'||code.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: ' Please enter code .'
							  });
			return false;
		}
		else
		{
			var allcartitems = window.localStorage.getItem("maintdropCartItems").split('/').join('');
			allcartitems = allcartitems.split("'").join('');
			$http.get(base_url+"index.php/apps/checkPromoCode/"+encodeURIComponent(code)+"/"+encodeURIComponent(allcartitems)+"/"+encodeURIComponent('check'))
			.then(function(response)
			{ 
				var data = response.data;
				var codeAvailable=data.promoAvailibility.availability;
				if(codeAvailable=='1')
				{
					var discount = data.promoAvailibility.discount;
					$ionicPopup.alert({
										 title: 'Alert',
										 template: 'Discount amount '+discount
									  });
					
				}
				else
				{
					var invalid_type =data.promoAvailibility.availability_status;
					$ionicPopup.alert({
										 title: 'Alert',
										 template: invalid_type
									  });
				}
			});
		}
		
	}
	
	
	var options = {
      location: 'yes',
      clearcache: 'yes',
      toolbar: 'no'
   };
	$scope.openInAppBrowser = function(orderMobile,orderLocation,orderAddress,orderCity,orderState,orderPincode,appoinmentDate,appoinmentTimeSlot,promoCode,payment_mode,rewardPoint)
	{
		var reg = /^(?=\d{2}([-.,\/])\d{2}\1\d{4}$)(?:0[1-9]|1\d|[2][0-8]|29(?!.02.(?!(?!(?:[02468][1-35-79]|[13579][0-13-57-9])00)\d{2}(?:[02468][048]|[13579][26])))|30(?!.02)|31(?=.(?:0[13578]|10|12))).(?:0[1-9]|1[012]).\d{4}$/;
		if(typeof(orderMobile)=='undefined'||orderMobile.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter mobile number .'
							  });
			return false;
		}
		else if(orderMobile.length!=10||isNaN(orderMobile))
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter valid 10 digit mobile number .'
							  });
			return false;
		}
		else if(typeof(orderLocation)=='undefined'||orderLocation.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter location .'
							  });
			return false;
		}
		else if(typeof(orderAddress)=='undefined'||orderAddress.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter address .'
							  });
			return false;
		}
		else if(typeof(orderCity)=='undefined'||orderCity.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter city .'
							  });
			return false;
		}
		else if(typeof(orderState)=='undefined'||orderState.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter state .'
							  });
			return false;
		}
		else if(typeof(orderPincode)=='undefined'||orderPincode.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter pincode .'
							  });
			return false;
		}
		else if(orderPincode.length!=6||isNaN(orderPincode))
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter valid pincode .'
							  });
			return false;
		}
		else if(typeof(appoinmentDate)=='undefined'||appoinmentDate==null||appoinmentDate=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter appointment date .'
							  });
			return false;
		}
		else if(typeof(appoinmentTimeSlot)=='undefined'||appoinmentTimeSlot.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter appointment time slot .'
							  });
			return false;
		}
		else if(typeof(payment_mode)=='undefined'||payment_mode.trim()=='')
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please select payment mode .'
							  });
			return false;
		}
		else if(typeof(rewardPoint)!='undefined' && isNaN(rewardPoint))
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Enter numeric value in account amount .'
							  });
			return false;
		}
		else
		{
			
			   var confirmPopup = $ionicPopup.confirm({
				 title: 'Confirm',
				 template: 'Confirm your order . Press ok .'
			   });
			 
			   confirmPopup.then(function(res) {
				 if(res) {
				   
						   var formData = encodeURIComponent(orderLocation+"||"+orderAddress+"||"+orderCity+"||"+orderState+"||"+orderPincode+"||"+appoinmentDate+"||"+appoinmentTimeSlot+"||"+promoCode+"||"+orderMobile+"||"+rewardPoint);
						   var cartData = encodeURIComponent(window.localStorage.getItem("maintdropCartItems").split("'").join(""));
						   cartData = cartData.split("/").join("");
						   var userData = encodeURIComponent(window.localStorage.getItem("maint_userid")+"||"+window.localStorage.getItem("city"));
						   window.localStorage.removeItem("maintdropCartItems");
						   $state.go('app.home');
						   
						   
						   
						   // Open in app browser
						   if(payment_mode=='cod')
						   {
								var ref = window.open('https://maintdrop.com/index.php/apps/orderProcess/'+userData+'/'+cartData+'/'+formData,'_blank', 'location=no');
								ref.addEventListener('loadstop', function(event) {        
									if (event.url.match("https://maintdrop.com/index.php/apps/closeMobileBrowser")) {
										ref.close();
										$window.location.reload(); 
										//$ionicPopup.alert({
										//		 title: 'Alert',
										//		 template: 'Order placed successfully. Please check order details for view details .'
										//	  });
										
									}
								});
						   }
						   else
						   {
								var ref = window.open('https://maintdrop.com/index.php/apps/orderProcessOnline/'+userData+'/'+cartData+'/'+formData,'_blank', 'location=no');
								ref.addEventListener('loadstop', function(event) {        
									if (event.url.match("https://maintdrop.com/index.php/my-account")) {
										ref.close();
										$window.location.reload();
										//$ionicPopup.alert({
										//		 title: 'Alert',
										//		 template: 'Order placed successfully. Please check order details for view details .'
										//	  });
										
									}
									
									if (event.url.match("https://maintdrop.com/my-account")) {
										ref.close();
										$window.location.reload();
										//$ionicPopup.alert({
										//		 title: 'Alert',
										//		 template: 'Order placed successfully. Please check order details for view details .'
										//	  });
										
									}
									/*
									if (event.url.match("http://maintdrop.com")) {
										ref.close();
										$window.location.reload();
										//$ionicPopup.alert({
										//		 title: 'Alert',
										//		 template: 'Order placed successfully. Please check order details for view details .'
										//	  });
										
									}
									*/
									if (event.url.match("https://maintdrop.com/home")) {
										ref.close();
										$window.location.reload();
										//$ionicPopup.alert({
										//		 title: 'Alert',
										//		 template: 'Order placed successfully. Please check order details for view details .'
										//	  });
										
									}
								});
						   }
				 } else {
				 }
			   });
			
			
		  
		}
		
	};
	}])

/* select_address Controller */
app.controller('OrderCtrl', ['$state','$scope','$http','$ionicPopup', function($state, $scope, $http,$ionicPopup) {
	
	var loginUserid = window.localStorage.getItem("maint_userid");
	
	if(loginUserid==null)
	{
		$state.go('app.login');
	}
	else
	{
		$http.get(base_url+"index.php/apps/getOrderDetails/"+loginUserid)
		.then(function(response){ 
			var data = response.data;
			$scope.orderall = data.orderall;
		 });
	}
	$scope.cancelOrder = function(p_id){
		$http.get(base_url+"index.php/apps/cancelOrder/"+p_id)
		.then(function(response){ 
			var data = response.data;
			if(data.result=='DONE')
			{
				$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Order already cancelled .'
							  });
			}
			else if(data.result=='SUCESSFULL')
			{
				$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Order successfully cancelled .'
							  });
			    $scope.orderall = data.ordeDetails;
				
			}
			else
			{
				$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Order already in process. To cancel contact with Maintdrop Admin .'
							  });
			}
			//$scope.orderall = data.orderall;
		 });
		//alert(p_id);
	}
	
	
	
}])

/* rate Controller */
app.controller('RateCtrl', ['$state','$scope','$http', function($state, $scope, $http) {	
	var loginUserid = window.localStorage.getItem("maint_userid");
	
	if(loginUserid==null)
	{
		$state.go('app.login');
	}
	else
	{
		$http.get(base_url+"index.php/apps/getRateCardDetails")
		.then(function(response){ 
			var data = response.data;
			//$scope.vendor = data.vendor;
			$scope.vendorall = data.vendorall;
		 });
	}
	
	$scope.getService = function(serviceid,city){
		
		var serviceid = window.localStorage.setItem("serviceid",serviceid);
		var cityid = window.localStorage.setItem("city",city);
		$state.go('app.service',{},{reload:true});
	}
}])


/* Contact us form page */
app.controller('ContactCtrl', ['$state','$scope', '$http', '$rootScope','$ionicPopup', 'ConfigContact', function($state,$scope, $http, $rootScope, 	$ionicPopup, ConfigContact) {
	//setting heading here
	$scope.comment = [];
	$scope.sendEnquiry = function(){
										
										var name = $scope.comment.name;
										var email = $scope.comment.email;
										var mobile = $scope.comment.mobile;
										var enquiry_type = $scope.comment.enquiry_type;
										var details = $scope.comment.details;
									    //alert(reg_mobileno);
										var reg = /^[a-z]+[a-z0-9._]+@[a-z]+\.[a-z.]{2,5}$/;
										 
										if(typeof(name)=='undefined'||name.trim()=='')
										{
											$ionicPopup.alert({
																 title: 'Alert',
																 template: 'Please enter full name.'
															  });
											return false;
										}
										else if(typeof(email)=='undefined'||email.trim()=='')
										{
											$ionicPopup.alert({
																 title: 'Alert',
																 template: 'Please enter valid email.'
															  });
											return false;
										}
										
										else if(typeof(mobile)=='undefined'||mobile.trim()=='')
										{
											$ionicPopup.alert({
																 title: 'Alert',
																 template: 'Please enter mobile no.'
															  });
											return false;
										}
										else if(mobile.length!=10 || isNaN(mobile))
										{
											$ionicPopup.alert({
																 title: 'Alert',
																 template: 'Please enter valid mobile no.'
															  });
											return false;
										}
										else if(typeof(enquiry_type)=='undefined'||enquiry_type.trim()=='')
										{
											$ionicPopup.alert({
																 title: 'Alert',
																 template: 'Please select enquiry type.'
															  });
											return false;
										}
										else if(typeof(details)=='undefined'||details.trim()=='')
										{
											$ionicPopup.alert({
																 title: 'Alert',
																 template: 'Please enter your comment.'
															  });
											return false;
										}
										else
										{
											$http.get(base_url+"index.php/apps/send_enquiry/"+encodeURIComponent(name)+"/"+encodeURIComponent(email)+"/"+encodeURIComponent(mobile)+"/"+encodeURIComponent(enquiry_type)+"/"+encodeURIComponent(details))
											.then(function(response)
											{ 
												var data = response.data;
												alert(data.sending);
												if(data.sending=='SUCCESS')
												{
													$ionicPopup.alert({
																		 title: 'Alert',
																		 template: 'Thank You for sending us message, One of our repesentative will contact you shortly.'
																	  });
													$state.go('app.home');
												}
												else
												{
													$ionicPopup.alert({
																		 title: 'Alert',
																		 template: ' Something goes wrong . Please try again .'
																	  });
													
												}
											});
										}
									
									}
	// contact form submit event
	/*
	$scope.submitForm = function(isValid) {
		if (isValid) {
			cordova.plugins.email.isAvailable(
				function (isAvailable) {
					window.plugin.email.open({
						to:      [ConfigContact.EmailId],
						subject: ConfigContact.ContactSubject,
						body:    '<h1>'+$scope.user.email+'</h1><br><h2>'+$scope.user.name+'</h2><br><p>'+$scope.user.details+'</p>',
						isHtml:  true
					});
				}
			);
		}
	}
	*/
}])

// push controller
app.controller('PushCtrl', ['$scope', 'SendPush', function($scope, SendPush){
	$scope.device_token = $scope.get_device_token();
	$scope.sendNotification = function(){
		SendPush.android($scope.device_token)
		.success(function () {
		})
		.error(function (error) {
		});
	}
}]);

// show ad mob here in this page
app.controller('AdmobCtrl', ['$scope', 'ConfigAdmob', function($scope, ConfigAdmob){
	$scope.showInterstitial = function(){
		if(AdMob) AdMob.showInterstitial();
	}
	document.addEventListener("deviceready", function(){
		if(AdMob) {
			// show admob banner
			if(ConfigAdmob.banner) {
				AdMob.createBanner( {
					adId: ConfigAdmob.banner, 
					position: AdMob.AD_POSITION.BOTTOM_CENTER, 
					autoShow: true 
				} );
			}
			// preparing admob interstitial ad
			if(ConfigAdmob.interstitial) {
				AdMob.prepareInterstitial( {
					adId:ConfigAdmob.interstitial, 
					autoShow:false
				} );
			}
		}
		if(ConfigAdmob.interstitial) {
			$scope.showInterstitial();
		}
	});
}]);

// new items v2.0
// messages list
app.controller('MessagesCtrl', ['$scope', 'Messages', function($scope, Messages){
	$scope.items = [];
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Messages.getMesages()
		.success(function (posts) {
			$scope.items = $scope.items.concat(posts);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$scope.postsCompleted = true;
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.items = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}
}]);

// single message
app.controller('MessageCtrl', ['$scope', 'Messages', '$ionicScrollDelegate', function($scope, Messages, $ionicScrollDelegate ){
	$scope.messages = [];
	$scope.postsCompleted = false;
	// load more content function
	$scope.getPosts = function(){
		Messages.getMessage()
		.success(function (posts) {
			$scope.messages = $scope.messages.concat(posts);
			//console.log($scope.messages);
			$scope.$broadcast('scroll.infiniteScrollComplete');
			$ionicScrollDelegate.scrollBottom();
			$scope.postsCompleted = true;
		})
		.error(function (error) {
			$scope.items = [];
		});
	}
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.messages = [];
		$scope.postsCompleted = false;
		$scope.getPosts();
		$scope.$broadcast('scroll.refreshComplete');
	}
	$scope.addMesage = function(){
		var newMessage = new function() {
			this.message = $scope.datamessage;
			this.from = '2';
			this._id	= '12';
			this.title	= 'sample';
			this.image	= 'http://3.bp.blogspot.com/-bTWNRjookMQ/VYGjnv5nKtI/AAAAAAAAA08/wXshQ9sNDeU/s100-c/blank-792125_1280.jpg';
		}
		$scope.messages = $scope.messages.concat(newMessage);
		$scope.datamessage = "";
		$ionicScrollDelegate.scrollBottom();
    }
}]);

// feed list data sample
app.controller('FeedsListCtrl', ['$scope', '$state', 'Feeds', function($scope, $state, Feeds ){
	$scope.feeds = Feeds.items;
	$scope.showNews = function(index){
		Feeds.selectedFeed = $scope.feeds[index];
		$state.go('app.feed');
	}
}]);

// single feed posts
app.controller('FeedCtrl', ['$scope', '$state', 'Feeds', function($scope, $state, Feeds ){
	
	$scope.numPosts = 20;
	$scope.stories = [];
	$scope.feed = Feeds.selectedFeed;
	$scope.showNews = function(index){
		Feeds.selectedFeed = $scope.feeds[index];
	}
	$scope.loadFeed = function() {
      var feed = new google.feeds.Feed(Feeds.selectedFeed.feed);
      feed.setNumEntries($scope.numPosts);
      var count = 1;
      feed.load(function(result) {
        if (!result.error) {
          $scope.feed = result.feed;
			 $scope.$apply();
        }
      });
    }
    $scope.loadFeed();
	 $scope.getImage = function(index) {
		var selectedItem = $scope.feed.entries[index];
		var content = selectedItem.content;
		var imgthumb = "";
		a = content.indexOf("<img"); 
		b = content.indexOf("src=\"",a); 
		c = content.indexOf("\"",b+5); 
		d = content.substr(b+5,c-b-5);
		if((a!=-1)&&(b!=-1)&&(c!=-1)&&(d!="")) {
			imgthumb = d;
		}
		if(imgthumb) {
			return imgthumb;
		} else {
			return 'img/photo.png';
		}
    }
	 $scope.showFullFeed = function(indexFeed){
	 	Feeds.selectedNews = $scope.feed.entries[indexFeed];
		$state.go('app.feedsingle');
	 }
}]);

app.controller('FeedSingleCtrl', ['$scope', '$state', 'Feeds', '$sce', function($scope, $state, Feeds, $sce ){
	$scope.feedContent = Feeds.selectedNews;
	$scope.content = $sce.trustAsHtml($scope.feedContent.content);
	
}]);

app.controller('ServiceCtrl', ['$state','$scope','$rootScope', '$ionicModal' , '$timeout' , '$http','$ionicPopup',  function($state, $scope, $rootScope, $ionicModal, $timeout, $http, $ionicPopup)  {
  var loggeduserid = window.localStorage.getItem("maint_userid");
  var serviceid = window.localStorage.getItem("serviceid");
  var city = window.localStorage.getItem("city");
  $http.get(base_url+"index.php/apps/getServicePriceDetails/"+serviceid+"/"+city)
		.then(function(response){ 
			var data = response.data;
			$scope.servicetitle = data.vendor[0].vendor_name;
			$scope.service_items = data.services;
			
			//alert(data.services[0].category);
		 });
	
	
	//window.localStorage.removeItem("maintdropCartItems");
	if(window.localStorage.getItem("maintdropCartItems")==null)
	{
		var items =[];
	}
	else
	{
		var items = JSON.parse(window.localStorage.getItem("maintdropCartItems"));
	}
	var itemCount = (items.length);
	$rootScope.finalCartCount = itemCount;
	 // adds an item to the cart
	$scope.addItem = function (serviceid, name, price, quantity,unit,service_title,service_category,innerIndex)
	{
		//alert(serviceid+"=="+name+"=="+price+"=="+quantity);
		//alert(innerIndex);
		quantity = this.toNumber(quantity);
		if(quantity==0)
		{
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Please enter numeric value.'
							  });
			return false;
		}
		
		if (quantity != 0) {
			// update quantity for existing item
			var found = false;
			for (var i = 0; i < items.length && !found; i++) {
				var item = items[i];
				if (item.serviceid == serviceid) {
					found = true;
					item.quantity = this.toNumber(item.quantity + quantity);
					if (item.quantity <= 0) {
						items.splice(i, 1);
					}
				}
			}
			
			// new item, add now
			if (!found) {
				var item = {'serviceid':serviceid,'name':name,'price':price,'quantity':quantity,'unit':unit,'cart_title':service_title+' : '+service_category};
				items.push(item);
			}

			// save changes
			window.localStorage.setItem("maintdropCartItems",JSON.stringify(items));
			$ionicPopup.alert({
								 title: 'Alert',
								 template: 'Item successfully added to cart .'
							  });
			console.log(JSON.stringify(items));
		}
		//alert(JSON.stringify(items));
		var itemCount = (items.length);
		$rootScope.finalCartCount = itemCount;
	}
	$scope.toNumber = function (value) {
		value = value * 1;
		return isNaN(value) ? 0 : value;
	}
	
	$scope.cartItem = function(serviceid, name, price, quantity) {
		this.serviceid = serviceid;
		this.name = name;
		this.price = price * 1;
		this.quantity = quantity * 1;
	}
	
  /*
  $scope.items = [{
      title: 'Deep Cleaning',
      text: 'Lorem ipsum is a dummy text Lorem ipsum is a dummy text Lorem ipsum'
    },
    {
      title: 'General Cleaning',
      
    }];
 */
  $scope.toggleItem= function(item) {
    if ($scope.isItemShown(item)) {
      $scope.shownItem = null;
    } else {
      $scope.shownItem = item;
    }
  };
  $scope.isItemShown = function(item) {
    return $scope.shownItem === item;
  };

  $scope.openModal = function() {
    $scope.modal.show();
  };


  $ionicModal.fromTemplateUrl('templates/modal.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  $scope.createContact = function(u) {        
    $scope.contacts.push({ name: u.firstName + ' ' + u.lastName });
    $scope.modal.hide();
  };


}]);


var example = angular.module('starter', ['ionic'])
 
example.run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
        if(window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if(window.StatusBar) {
            StatusBar.styleDefault();
        }
    });
});
 
example.controller("ExampleController", function($scope, $ionicSlideBoxDelegate) {
    $scope.navSlide = function(index) {
        $ionicSlideBoxDelegate.slide(index, 500);
    }
});







 